Subject: bug#34321: reproducibility: absolute file name in newst-treeview.elc

From: Eli Zaretskii <[email-masked]>
Date: Tue, 05 Feb 2019 18:15:46 +0200

> From: Glenn Morris <[email-masked]>
> Date: Mon, 04 Feb 2019 17:55:09 -0500
> 
> For some reason, the definition of newsticker--group-shift in the
> compiled file newst-treeview.elc ends up containing a string that points
> to the build directory. Eg in the 26.1.91 pretest tarfile, it is:
> 
> "/home/nico/work/emacs-26/lisp/emacs-lisp/cl-extra.elc"

Looks like a pointer to a place where cl-concatenate is defined.